Package org.mozilla.javascript

## Class ES6Iterator

- java.lang.Object
- - org.mozilla.javascript.ScriptableObject
  - - org.mozilla.javascript.IdScriptableObject
    - - org.mozilla.javascript.ES6Iterator

- All Implemented Interfaces:
    `java.io.Serializable`, `ConstProperties`, `DebuggableObject`, `IdFunctionCall`, `Scriptable`, `SymbolScriptable`
  Direct Known Subclasses:
    `NativeArrayIterator`, `NativeCollectionIterator`, `NativeStringIterator`

      public abstract class ES6Iterator
      extends IdScriptableObject

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.mozilla.javascript.ScriptableObject

      `ScriptableObject.KeyComparator`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DONE_PROPERTY` |
    `protected boolean` | `exhausted` |
    `static java.lang.String` | `NEXT_METHOD` |
    `static java.lang.String` | `RETURN_METHOD` |
    `static java.lang.String` | `RETURN_PROPERTY` |
    `static java.lang.String` | `VALUE_PROPERTY` |

    - ### Fields inherited from class org.mozilla.javascript.ScriptableObject

      `CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

    - ### Fields inherited from interface org.mozilla.javascript.Scriptable

      `NOT_FOUND`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ES6Iterator()` |
    `protected` | `ES6Iterator​(Scriptable scope, java.lang.String tag)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `execIdCall​(IdFunctionObject f, Context cx, Scriptable scope, Scriptable thisObj, java.lang.Object[] args)` | 'thisObj' will be null if invoked as constructor, in which case * instance of Scriptable should be returned.
    `protected int` | `findPrototypeId​(java.lang.String s)` |
    `protected int` | `findPrototypeId​(Symbol k)` |
    `protected java.lang.String` | `getTag()` |
    `protected static void` | `init​(ScriptableObject scope, boolean sealed, IdScriptableObject prototype, java.lang.String tag)` |
    `protected void` | `initPrototypeId​(int id)` |
    `protected abstract boolean` | `isDone​(Context cx, Scriptable scope)` |
    `protected java.lang.Object` | `next​(Context cx, Scriptable scope)` |
    `protected abstract java.lang.Object` | `nextValue​(Context cx, Scriptable scope)` |

    - ### Methods inherited from class org.mozilla.javascript.IdScriptableObject

      `activatePrototypeMap, addIdFunctionProperty, defaultGet, defaultHas, defaultPut, defineOwnProperty, delete, delete, ensureType, exportAsJSClass, fillConstructorProperties, findInstanceIdInfo, findInstanceIdInfo, get, get, getAttributes, getAttributes, getInstanceIdName, getInstanceIdValue, getMaxInstanceId, getOwnPropertyDescriptor, has, has, hasPrototypeMap, initPrototypeConstructor, initPrototypeMethod, initPrototypeMethod, initPrototypeMethod, initPrototypeValue, initPrototypeValue, instanceIdInfo, put, put, setAttributes, setInstanceIdAttributes, setInstanceIdValue`

    - ### Methods inherited from class org.mozilla.javascript.ScriptableObject

      `applyDescriptorToAttributeBitset, associateValue, avoidObjectDetection, buildDataDescriptor, callMethod, callMethod, checkPropertyChange, checkPropertyDefinition, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineOwnProperties, defineOwnProperty, defineProperty, defineProperty, defineProperty, defineProperty, defineProperty, defineProperty, defineProperty, delete, deleteProperty, deleteProperty, ensureScriptable, ensureScriptableObject, ensureSymbolScriptable, equivalentValues, get, get, getAllIds, getArrayPrototype, getAssociatedValue, getAttributes, getAttributes, getAttributes, getClassName, getClassPrototype, getDefaultValue, getDefaultValue, getExternalArrayData, getExternalArrayLength, getFunctionPrototype, getGeneratorFunctionPrototype, getGetterOrSetter, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, getTypedProperty, getTypedProperty, getTypeOf, has, hasInstance, hasProperty, hasProperty, hasProperty, isAccessorDescriptor, isConst, isDataDescriptor, isEmpty, isExtensible, isFalse, isGenericDescriptor, isGetterOrSetter, isSealed, isTrue, preventExtensions, put, putConst, putConstProperty, putProperty, putProperty, putProperty, querySlot, redefineProperty, sameValue, sealObject, setAttributes, setAttributes, setAttributes, setAttributes, setCommonDescriptorProperties, setExternalArrayData, setGetterOrSetter, setParentScope, setPrototype, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### exhausted

          protected boolean exhausted

    - #### NEXT_METHOD

          public static final java.lang.String NEXT_METHOD

      See Also:
        Constant Field Values

    - #### DONE_PROPERTY

          public static final java.lang.String DONE_PROPERTY

      See Also:
        Constant Field Values

    - #### RETURN_PROPERTY

          public static final java.lang.String RETURN_PROPERTY

      See Also:
        Constant Field Values

    - #### VALUE_PROPERTY

          public static final java.lang.String VALUE_PROPERTY

      See Also:
        Constant Field Values

    - #### RETURN_METHOD

          public static final java.lang.String RETURN_METHOD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ES6Iterator

          protected ES6Iterator()

    - #### ES6Iterator

          protected ES6Iterator​(Scriptable scope,
                                java.lang.String tag)

  - ### Method Detail

    - #### init

          protected static void init​(ScriptableObject scope,
                                     boolean sealed,
                                     IdScriptableObject prototype,
                                     java.lang.String tag)

    - #### initPrototypeId

          protected void initPrototypeId​(int id)

      Overrides:
        `initPrototypeId` in class `IdScriptableObject`

    - #### execIdCall

          public java.lang.Object execIdCall​(IdFunctionObject f,
                                             Context cx,
                                             Scriptable scope,
                                             Scriptable thisObj,
                                             java.lang.Object[] args)

      Description copied from class: `IdScriptableObject`
      'thisObj' will be null if invoked as constructor, in which case * instance of Scriptable should be returned.
      Specified by:
        `execIdCall` in interface `IdFunctionCall`
      Overrides:
        `execIdCall` in class `IdScriptableObject`

    - #### findPrototypeId

          protected int findPrototypeId​(Symbol k)

      Overrides:
        `findPrototypeId` in class `IdScriptableObject`

    - #### findPrototypeId

          protected int findPrototypeId​(java.lang.String s)

      Overrides:
        `findPrototypeId` in class `IdScriptableObject`

    - #### isDone

          protected abstract boolean isDone​(Context cx,
                                            Scriptable scope)

    - #### nextValue

          protected abstract java.lang.Object nextValue​(Context cx,
                                                        Scriptable scope)

    - #### next

          protected java.lang.Object next​(Context cx,
                                          Scriptable scope)

    - #### getTag

          protected java.lang.String getTag()